AArch32 Registers | AArch64 Registers | AArch32 Instructions | AArch64 Instructions | Index by Encoding | External Registers | External Registers by Offset | Registers by Functional Group | Proprietary Notice

# CTIAPPCLEAR, CTI Application Trigger Clear register

The CTIAPPCLEAR characteristics are:

## Purpose

Clears bits of the Application Trigger register.

## Configuration

CTIAPPCLEAR is in the Debug power domain.

## Attributes

CTIAPPCLEAR is a 32-bit register.

## Field descriptions

The CTIAPPCLEAR bit assignments are:

31 | 30 | 29 | 28 | 27 | 26 | 25 | 24 | 23 | 22 | 21 | 20 | 19 | 18 | 17 | 16 | 15 | 14 | 13 | 12 | 11 | 10 | 9 | 8 | 7 | 6 | 5 | 4 | 3 | 2 | 1 | 0
APPCLEAR<x>, bit [x]

#### APPCLEAR<x>, bit [x], for x = 0 to 31

Application trigger <x> disable.

Bits [31:N] are RAZ/WI. N is the number of ECT channels implemented as defined by the CTIDEVID.NUMCHAN field.

Writing to this bit has the following effect:

APPCLEAR<x> | Meaning
--- | ---
0b0 | No effect.
0b1 | Clear corresponding bit in CTIAPPTRIG to 0 and clear the corresponding channel event.

If the ECT does not support multicycle channel events, use of CTIAPPCLEAR is deprecated and the debugger must only use CTIAPPPULSE.

## Accessing the CTIAPPCLEAR

#### CTIAPPCLEAR can be accessed through the external debug interface:

Component | Offset | Instance
--- | --- | ---
CTI | 0x018 | CTIAPPCLEAR

This interface is accessible as follows:

- When SoftwareLockStatus() access to this register is WI.
- When !SoftwareLockStatus() access to this register is WO.

AArch32 Registers | AArch64 Registers | AArch32 Instructions | AArch64 Instructions | Index by Encoding | External Registers | External Registers by Offset | Registers by Functional Group | Proprietary Notice

15/04/2019 16:47; 8c23526ba8a13a72aada4137daf3e3977b49036e

Copyright © 2010-2019 Arm Limited or its affiliates. All rights reserved. This document is Non-Confidential.